| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | List of all members
LicenseSpring.LicenseDeletedException Class Reference

In case license was deleted from the backend by admin. More...

Inheritance diagram for LicenseSpring.LicenseDeletedException:

## Public Member Functions
| LicenseDeletedException (string message)
| Exception constructor.
| LicenseDeletedException (string message, Exception innerException)
| Initializes a new instance with a specified error message and a reference to the inner exception.
Public Member Functions inherited from LicenseSpring.LicenseStateException
| LicenseStateException (string message)
| Exception constructor.
| LicenseStateException (string message, Exception innerException)
| Initializes a new instance with a specified error message and a reference to the inner exception.
Public Member Functions inherited from LicenseSpring.LicenseSpringException
| LicenseSpringException (string message)
| Exception constructor.
| LicenseSpringException (string message, Exception innerException)
| Initializes a new instance with a specified error message and a reference to the inner exception.

## Detailed Description

In case license was deleted from the backend by admin.

It is recommended to remove local license if you got this exception.

## Constructor & Destructor Documentation

## ◆ LicenseDeletedException() [1/2]

LicenseSpring.LicenseDeletedException.LicenseDeletedException | ( | string | message | ) |

Exception constructor.

Parameters

  message | Exception error message

## ◆ LicenseDeletedException() [2/2]

LicenseSpring.LicenseDeletedException.LicenseDeletedException | ( | string | message,
|  | Exception | innerException
| ) |  |

Initializes a new instance with a specified error message and a reference to the inner exception.

Parameters

  message | Exception error message
  innerException | Inner exception that is the cause of this exception

The documentation for this class was generated from the following file:

- Exceptions.cs